← OBPv7.0.0 Archive System Chat Room PUT /obp/v7.0.0/chat-rooms/CHAT_ROOM_ID/archive-status OBPv6.0.0-archiveSystemChatRoom Roles: CanArchiveSystemChatRoom Chat Archive a system-level chat room. Archived rooms cannot receive new messages or participants. Requires the CanArchiveSystemChatRoom role. Authentication is Required User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: CHAT_ROOM_ID: CHAT_ROOM_ID JSON response body fields (17) bank_id gh.29.ukchat_room_id chat_room_idcreated_at created_atcreated_by_provider created_by_providercreated_by_user_id created_by_username created_by_usernamedescription Description of the object. Maximum length is 2000. It can be any characters here.is_archived is_archivedis_open_room is_open_roomjoining_key joining_keyname ACCOUNT_MANAGEMENT_FEEparticipant_count participant_countupdated_at updated_atlast_message_at last_message_atlast_message_preview last_message_previewlast_message_sender_username last_message_sender_usernameunread_count unread_count Example success response { "chat_room_id": "chat-room-id-123", "bank_id": "", "name": "General Discussion", "description": "A place to discuss general topics", "joining_key": "abc123key", "created_by_user_id": "user-id-123", "created_by_username": "robert.x.0.gh", "created_by_provider": "https://github.com", "is_open_room": false, "is_archived": true, "last_message_at": "2026-11-18T15:16:08Z", "last_message_preview": "Hello everyone!", "last_message_sender_username": "robert.x.0.gh", "unread_count": 3, "created_at": "2026-11-18T15:16:08Z", "updated_at": "2026-11-18T15:16:08Z", "participant_count": 0 } Possible errors (4) OBP-20001: User not logged in. Authentication is required!OBP-20006: User is missing one or more roles: OBP-39001: Chat Room not found. Please specify a valid value for CHAT_ROOM_ID.OBP-50000: Unknown Error.